# Class TransferFunctionType

Object
CodeList<TransferFunctionType>
TransferFunctionType

All Implemented Interfaces:
  `Serializable, Comparable<TransferFunctionType>`

@UML(identifier="MI_TransferFunctionTypeCode", specification=ISO_19115_2) public final class TransferFunctionType extends CodeList<TransferFunctionType>
Transform function to be used when scaling a physical value for a given element.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TransferFunctionType`
  `EXPONENTIAL`
  Function used for transformation is exponential.
  `static final TransferFunctionType`
  `LINEAR`
  Function used for transformation is first order polynomial.
  `static final TransferFunctionType`
  `LOGARITHMIC`
  Function used for transformation is logarithmic

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TransferFunctionType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static TransferFunctionType`
  `valueOf(String code)`
  Returns the transfer function type that matches the given string, or returns a new one if none match it.
  `static TransferFunctionType[]`
  `values()`
  Returns the list of `TransferFunctionType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LINEAR

    @UML(identifier="linear", obligation=CONDITIONAL, specification=ISO_19115_2) public static final TransferFunctionType LINEAR
    Function used for transformation is first order polynomial.

  - ### LOGARITHMIC

    @UML(identifier="logarithmic", obligation=CONDITIONAL, specification=ISO_19115_2) public static final TransferFunctionType LOGARITHMIC
    Function used for transformation is logarithmic

  - ### EXPONENTIAL

    @UML(identifier="exponential", obligation=CONDITIONAL, specification=ISO_19115_2) public static final TransferFunctionType EXPONENTIAL
    Function used for transformation is exponential.

- ## Method Details

  - ### values

    public static TransferFunctionType[] values()
    Returns the list of `TransferFunctionType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public TransferFunctionType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<TransferFunctionType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static TransferFunctionType valueOf(String code)
    Returns the transfer function type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.